Summary:	Set of programs designed to make renaming of multiple files faster
Name:		renameutils
Version:	0.12.0
Release:	%mkrel 11
Group:		File tools
License:	GPLv2+
URL:		http://www.nongnu.org/renameutils/
Source0:	http://savannah.nongnu.org/download/renameutils/%{name}-%{version}.tar.gz
BuildRequires:	readline-devel
BuildRequires:	termcap-devel
Patch0:		renameutils-0.12.0-mdv-mga-fix-makefile-typo.patch

%description
The file renaming utilities (renameutils for short) are a set of programs
designed to make renaming of multiple files faster and less cumbersome.
It currently consists of two programs: "qmv" and "imv". qmv allows files
to be renamed by editing their names in any text editor. Since the files
are listed after each other, this allows common changes to be made more
quickly. imv ("interactive mv") is trivial but useful when you are too
lazy to type (or even complete) the name of the file to rename. It
allows the filename to be edited in the terminal using the GNU readline
library. This is also useful when renaming files in Midnight Commander,
where the whole filename has to be entered again.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-rpath
%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README AUTHORS ChangeLog NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Nov 05 2020 wally <wally> 0.12.0-11.mga8
+ Revision: 1642906
- drop unneeded aarch64 build fix

* Wed Feb 19 2020 umeabot <umeabot> 0.12.0-10.mga8
+ Revision: 1542340
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.12.0-9.mga8
+ Revision: 1476007
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 0.12.0-8.mga7
+ Revision: 1300814
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.12.0-7.mga7
+ Revision: 1242439
- fix build on aarch64

* Tue Jan 02 2018 wally <wally> 0.12.0-6.mga7
+ Revision: 1189464
- rebuild for new readline

* Fri Feb 05 2016 umeabot <umeabot> 0.12.0-5.mga6
+ Revision: 939718
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 747458
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-3.mga5
+ Revision: 688655
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 530695
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 solbu <solbu> 0.12.0-1.mga4
+ Revision: 459121
- Add %%mkrel
- Merging patches
- imported package renameutils


* Sat May 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.12.0-1
+ Revision: 799700
- version update 0.12.0

* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-4
+ Revision: 653310
- rebuild

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.10.0-3mdv2010.0
+ Revision: 442677
- rebuild

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.0-2mdv2009.1
+ Revision: 345233
- rebuild against new readline

* Sun Sep 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-1mdv2009.1
+ Revision: 286397
- update to new version 0.10.0

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.9.0-4mdv2009.0
+ Revision: 260211
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.9.0-3mdv2009.0
+ Revision: 248366
- rebuild
- fix no-buildroot-tag

* Mon Dec 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 139732
- new license policy
- add missing buildrequires
- new version
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - BR readline-devel
    - kill re-definition of %%buildroot on Pixel's request
    - import renameutils

